<html>
	<title>Comandos git</title>
	<Body>
	<hr />
	<h1>Comandos GIT</h1>
	
	<h2>git status</h2>
	<p>Esse comando vai listar o status dos arquivos, mostrando os que ainda não foram adicionados para o controle de versão.</p>
	<h3>Exemplo</h3>
	<img src =".\img\GitStatus.png"/>
	<hr />
	
	<h2>git add .</h2>
	<p>Adiciona todos os arquivos não rastreados retornados.</p>
	<hr />
	
	
	<h2>git init</h2>
	<p>O comando acima deve ser executado dentro do diretório do projeto na qual você deseja versionar.</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitInit.png"/>
	<hr />
	
	<h2>git commit -m "Mensagem que identificará o commit"</h2>
	<p>Esse comando vai fazer com que os arquivos adicionados ao rastreamento através de $ git add sejam gravados no repositório.</p> 
	<p>O -m utilizado serve para indicar a mensagem do commit.</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitCommit.png"/>
	<hr />
	
	<h2>git remote add origin https://domain.com/repositorio.git</h2>
	<p>Se você estivesse usando o GitHub, por exemplo, o endereço do repositório remoto seria https://github.com/seunome/repositorio.git</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitRemoteAdd.png"/>
	<hr />
	
	<h2>git push</h2>
	<p>Esse comando faz o envio dos commits dados no repositório local, para o repositório remoto. </p>
	<h3>Exemplo</h3>
	<img src=".\img\GitPush.png"/>
	<hr />
	
	<h2>git clone https://domain.com/repositorio.git</h2>
	<p>Esse comando cria um clone do repositório remoto no seu amebiente local, já com a origem configurada.</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitClone.png"/>
	<hr />
	
	<h2>git remote</h2>
	<p>Exibe somente o nome do repositório remoto.</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitRemoteN.png"/>
	<hr />
	
	<h2>git remote -v</h2>
	<p>Exibe o nome e a url.</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitRemote.png"/>
	<hr />
	
	<h2>git pull</h2>
	<p>Faz com que o repositório local seja sincronizado com o remoto, de modo a receber o que foi feito de alteraçao e commitado por outro usuário do repositório remoto.</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitPull.png"/>
	<hr />
	
	<h2>git branch nome-branch</h2>
	<p>Esse comando cria um branch, que é como se fosse um novo diretorio, contendo o mesmo conteudo do branch master, mas que ao ser modificado,</p> 
	<p>nao reflete de forma automatica no branch master ou em qualquer outro.</p>
	<hr />
	
	<h2>git checkout nome-branch</h2>
	<p>Faz a troca entre os branches, mantendo íntegros os conteudos de cada um deles.</p>
	<hr />
	
	
	<h2>git reset</h2>
	<p>desfazer mudanças nao confirmadas.</p>
	<h3>Exemplo</h3>
	<img src=".\img\GitReset.png"/>
	<hr />
	
	
	
	</Body>
	
</html>